libvisio::VSDOptionalParaStyle Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
libvisio::VSDOptionalParaStyle Struct Reference

`#include <VSDStyles.h>`

## Public Member Functions
| VSDOptionalParaStyle ()
| VSDOptionalParaStyle (unsigned cc, const boost::optional< double > &ifst, const boost::optional< double > &il, const boost::optional< double > &ir, const boost::optional< double > &sl, const boost::optional< double > &sb, const boost::optional< double > &sa, const boost::optional< unsigned char > &a, const boost::optional< unsigned char > &b, const boost::optional< VSDName > &bs, const boost::optional< VSDName > &bf, const boost::optional< double > bfs, const boost::optional< double > &tpab, const boost::optional< unsigned > &f)
| VSDOptionalParaStyle (const VSDOptionalParaStyle &style)
| ~VSDOptionalParaStyle ()
void | override (const VSDOptionalParaStyle &style)

## Public Attributes
unsigned | charCount
boost::optional< double > | indFirst
boost::optional< double > | indLeft
boost::optional< double > | indRight
boost::optional< double > | spLine
boost::optional< double > | spBefore
boost::optional< double > | spAfter
boost::optional< unsigned char > | align
boost::optional< unsigned char > | bullet
boost::optional< VSDName > | bulletStr
boost::optional< VSDName > | bulletFont
boost::optional< double > | bulletFontSize
boost::optional< double > | textPosAfterBullet
boost::optional< unsigned > | flags

## Constructor & Destructor Documentation

## ◆ VSDOptionalParaStyle() [1/3]

libvisio::VSDOptionalParaStyle::VSDOptionalParaStyle | ( |  | ) |
| inline

## ◆ VSDOptionalParaStyle() [2/3]

libvisio::VSDOptionalParaStyle::VSDOptionalParaStyle | ( | unsigned | cc,
|  | const boost::optional< double > & | ifst,
|  | const boost::optional< double > & | il,
|  | const boost::optional< double > & | ir,
|  | const boost::optional< double > & | sl,
|  | const boost::optional< double > & | sb,
|  | const boost::optional< double > & | sa,
|  | const boost::optional< unsigned char > & | a,
|  | const boost::optional< unsigned char > & | b,
|  | const boost::optional< VSDName > & | bs,
|  | const boost::optional< VSDName > & | bf,
|  | const boost::optional< double > | bfs,
|  | const boost::optional< double > & | tpab,
|  | const boost::optional< unsigned > & | f
| ) |  |
| inline

## ◆ VSDOptionalParaStyle() [3/3]

libvisio::VSDOptionalParaStyle::VSDOptionalParaStyle | ( | const VSDOptionalParaStyle & | style | ) |
| inline

## ◆ ~VSDOptionalParaStyle()

libvisio::VSDOptionalParaStyle::~VSDOptionalParaStyle | ( |  | ) |
| inline

## Member Function Documentation

## ◆ override()

void libvisio::VSDOptionalParaStyle::override | ( | const VSDOptionalParaStyle & | style | ) |
| inline

Referenced by libvisio::VSDParagraphList::addParaIX().

## Member Data Documentation

## ◆ align

boost::optional<unsigned char> libvisio::VSDOptionalParaStyle::align

Referenced by libvisio::VSDParagraphList::addParaIX(), libvisio::VSDParaIX::handle(), and override().

## ◆ bullet

boost::optional<unsigned char> libvisio::VSDOptionalParaStyle::bullet

Referenced by libvisio::VSDParagraphList::addParaIX(), libvisio::VSDParaIX::handle(), and override().

## ◆ bulletFont

boost::optional<VSDName> libvisio::VSDOptionalParaStyle::bulletFont

Referenced by libvisio::VSDParagraphList::addParaIX(), libvisio::VSDParaIX::handle(), and override().

## ◆ bulletFontSize

boost::optional<double> libvisio::VSDOptionalParaStyle::bulletFontSize

Referenced by libvisio::VSDParagraphList::addParaIX(), libvisio::VSDParaIX::handle(), and override().

## ◆ bulletStr

boost::optional<VSDName> libvisio::VSDOptionalParaStyle::bulletStr

Referenced by libvisio::VSDParagraphList::addParaIX(), libvisio::VSDParaIX::handle(), and override().

## ◆ charCount

unsigned libvisio::VSDOptionalParaStyle::charCount

Referenced by libvisio::VSDParagraphList::addParaIX(), libvisio::VSDParaIX::getCharCount(), libvisio::VSDParaIX::handle(), and libvisio::VSDParaIX::setCharCount().

## ◆ flags

boost::optional<unsigned> libvisio::VSDOptionalParaStyle::flags

Referenced by libvisio::VSDParagraphList::addParaIX(), libvisio::VSDParaIX::handle(), and override().

## ◆ indFirst

boost::optional<double> libvisio::VSDOptionalParaStyle::indFirst

Referenced by libvisio::VSDParagraphList::addParaIX(), libvisio::VSDParaIX::handle(), and override().

## ◆ indLeft

boost::optional<double> libvisio::VSDOptionalParaStyle::indLeft

Referenced by libvisio::VSDParagraphList::addParaIX(), libvisio::VSDParaIX::handle(), and override().

## ◆ indRight

boost::optional<double> libvisio::VSDOptionalParaStyle::indRight

Referenced by libvisio::VSDParagraphList::addParaIX(), libvisio::VSDParaIX::handle(), and override().

## ◆ spAfter

boost::optional<double> libvisio::VSDOptionalParaStyle::spAfter

Referenced by libvisio::VSDParagraphList::addParaIX(), libvisio::VSDParaIX::handle(), and override().

## ◆ spBefore

boost::optional<double> libvisio::VSDOptionalParaStyle::spBefore

Referenced by libvisio::VSDParagraphList::addParaIX(), libvisio::VSDParaIX::handle(), and override().

## ◆ spLine

boost::optional<double> libvisio::VSDOptionalParaStyle::spLine

Referenced by libvisio::VSDParagraphList::addParaIX(), libvisio::VSDParaIX::handle(), and override().

## ◆ textPosAfterBullet

boost::optional<double> libvisio::VSDOptionalParaStyle::textPosAfterBullet

Referenced by libvisio::VSDParagraphList::addParaIX(), libvisio::VSDParaIX::handle(), and override().

The documentation for this struct was generated from the following file:

- VSDStyles.h